#
# spec file for package ortp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Mariusz Fik <fisiu@opensuse.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname libortp9
Name:           ortp
Version:        0.24.0
Release:        10.1
Summary:        Real-time Transport Protocol Stack
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://linphone.org/eng/documentation/dev/ortp.html
Source:         http://download.savannah.gnu.org/releases/linphone/ortp/sources/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889).

%package -n %{lname}
Summary:        Real-time Transport Protocol Stack
Group:          System/Libraries

%description -n %{lname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889).

%package devel
Summary:        Headers, libraries and docs for the oRTP library
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Provides:       libortp-devel = %{version}
Obsoletes:      libortp-devel < %{version}

%description devel
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889).

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q

%build
%configure \
%if %{?_lib} == lib64
  --enable-mode64bit \
%endif
  --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%{_libdir}/*.so.9*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_includedir}/ortp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Mar 15 2015 sor.alexei@meowr.ru
- Update to 0.24.0:
  * RTCP send algorithm as describe in RFC3550.
  * RTCP XR (RFC3611).
  * RTCP send algorithm as describe in RFC4585: AVPF streams.
* Sun May 25 2014 fisiu@opensuse.org
- Update to 0.23.0:
  * network simulator improvements
  * updated to use ZRTPCPP>=4.0
  * security bugfixes
* Wed Jun 26 2013 fisiu@opensuse.org
- ortp-devel obsoletes libortp-devel now.
* Fri Jun 21 2013 fisiu@opensuse.org
- Update to 0.22.0:
  * network simulator improvements for simulating random lost packets
  * srtp initialization bugfix
- Source package renamed to ortp.
* Wed Oct 10 2012 mailaender@opensuse.org
- update to 0.20.0
  - fix an issue on video call with ZRTP
  - ZRTP media encryption
  - SRTP media encryption
  - RTCP support fixes
  - add rtp_session_get_round_trip_propagation()
  - optimisations in session-set intersection computation
  - workaround fix for some versions of uclibc
* Tue Jan 31 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Sun Nov  7 2010 pascal.bleser@opensuse.org
- fix Group tags
* Sun Jul 18 2010 dmacvicar@suse.de
- create ortp8 package (0.16.3) from ortp5 (0.13.1)
* Fri Dec 21 2007 crrodriguez@suse.de
- initial package version, required for linphone
